#
# Conditional build:
%bcond_without	bridge_hotkey		# disable the engine hotkeys
#
Summary:	The Anthy engine for IBus input platform
Summary(pl.UTF-8):	Silnik Anthy dla platformy wprowadzania znaków IBus
Name:		ibus-anthy
Version:	1.5.4
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: http://code.google.com/p/ibus/downloads/list
Source0:	http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	50a4115ad9bf386daea1161eb0bf4435
URL:		http://code.google.com/p/ibus/
BuildRequires:	anthy-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	gettext-devel >= 0.16.1
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.6.8
BuildRequires:	ibus-devel >= 1.4.99
BuildRequires:	intltool >= 0.41.1
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildRequires:	swig-python
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Requires:	anthy
Requires:	ibus >= 1.4.99
Requires:	kasumi
Requires:	python-ibus >= 1.4.99
Requires:	python-pygtk-gtk >= 2:2.15.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The Anthy engine for IBus platform. It provides Japanese input method
from libanthy.

%description -l pl.UTF-8
Silnik Anthy dla platformy IBus. Udostępnia metodę wprowadzania znaków
japońskich poprzez libanthy.

%package libs
Summary:	Shared Anthy GObject library
Summary(pl.UTF-8):	Biblioteka współdzielona Anthy GObject
Group:		Libraries
Requires:	glib2 >= 1:2.26.0
Conflicts:	ibus-anthy < 1.4.99.20121006-5

%description libs
Shared Anthy GObject library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Anthy GObject.

%package devel
Summary:	Header files for Anthy GObject library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Anthy GObject
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	anthy-devel
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for Anthy GObject library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Anthy GObject.

%prep
%setup -q

# ibus 1.4.x has symbol attr in EngineDesc;
# ibus 1.4.99 (1.5) has symbol attr in IBus.Property
# hardcode it so python-ibus is not BRed here
%{__sed} -i -e 's,\$SYMBOL_TEST,exit(0),' configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-layout='default' \
	%{?with_bridge_hotkey:--with-hotkeys}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libexecdir}/ibus-engine-anthy
%attr(755,root,root) %{_libexecdir}/ibus-setup-anthy
%{_datadir}/ibus-anthy
%{_datadir}/ibus/component/anthy.xml
%{_desktopdir}/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/scalable/apps/ibus-anthy.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanthygobject-1.0.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libanthygobject-1.0.so.5
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanthygobject-1.0.so
%{_includedir}/ibus-anthy-1.0
%{_datadir}/gir-1.0/Anthy-9000.gir
%changelog
* Sun Sep 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-anthy.git;a=log;h=master

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d2d68b
- updated to 1.5.4

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 44358d4
- rel 2

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 89c492a
- more ac/am regen

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 358e520
- updated to 1.5.3

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 7e2dd85
- updated to 1.5.0

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> eeffd8d
- package GObject binding in -libs, so it's available not only with ibus
- release 5

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b0108a
- more BRs, better description + pl for -devel

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 315358f
- typo
- rel 4

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 3b43c26
- rel 3
- updated R for post(un) scriptlets

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 1fc2300
- enable bridge hotkey
- rel 2

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 0355600
- updated to 1.4.99.20121006

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 01fc776
- pygtk epoch

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> a27946f
- updated to 1.2.7
- removed obsolete xx-icon-symbol patch

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 39e4c4b
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 6533c82
- fix permissions

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 2bd6712
- fix bridge_hotkey bcond, enable anly what's needed for ibus 1.4

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 20ea8d2
- cosmetics

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> bda702e
- define libexecdir

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 4870948
- initial revision

